JBuilder 2007 (Java)

Chrische K.

Mitglied
Thread Starter
Mitglied seit
22.08.2006
Beiträge
133
Moin, moin!
Ich habe mir jetzt den JBuilder 2007 runtergeladen, teilweise früher mit der 2005er Version gearbeitet und versuche jetzt ein Applet zu programmieren, was aber irgendwie nicht hinhaut^^

Also, ich habe ein neues Java-projekt gemacht (java), darin ein neues Paket (java), worin ich die Datei "Java1.java" gemacht hab.

Die lautet dann wie folgt:
package java;

import java.applet.*;
import java.awt.*;

public class Java1 extends Applet{

public void paint(Graphics g) {
g.drawString("jdklas", 157, 123);
}
}

bei "Java1" meckert er und das Applet "ist nicht initialisiert"...
Fehlermeldung: java.security.SecureClassLoader.defineClass(SecureClassLoader.java:124)
at java.net.URLClassLoader.defineClass(URLClassLoader.java:260)
at java.net.URLClassLoader.access$100(URLClassLoader.java:56)
at java.net.URLClassLoader$1.run(URLClassLoader.java:195)
at java.security.AccessController.doPrivileged(Native Method)
at java.net.URLClassLoader.findClass(URLClassLoader.java:188)
at java.lang.ClassLoader.loadClass(ClassLoader.java:306)
at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:268)
at java.lang.ClassLoader.loadClass(ClassLoader.java:299)
at sun.applet.AppletClassLoader.loadClass(AppletClassLoader.java:119)
at java.lang.ClassLoader.loadClass(ClassLoader.java:251)
at sun.applet.AppletClassLoader.loadCode(AppletClassLoader.java:591)
at sun.applet.AppletPanel.createApplet(AppletPanel.java:721)
at sun.applet.AppletPanel.runLoader(AppletPanel.java:650)
at sun.applet.AppletPanel.run(AppletPanel.java:324)
at java.lang.Thread.run(Thread.java:613)

also man könnte sagen, er mag mich nicht, aber woran es liegt, würde ich ja mal gerne wissen...könnt ihr mir weiterhelfen???
Ich hoffe!

Dankeschön schon mal!

Gruß,
ein verzweifelter Chrische K.
 

Darii

Aktives Mitglied
Mitglied seit
24.02.2004
Beiträge
2.087
Hast du da nicht irgendwas von der Fehlermeldung abgeschnitten? Quasi da wo du versucht hast zu übersetzen und zu interpretieren?

Außerdem solltest du es tunlichst vermeiden deine Pakete nach offiziellen Paketen zu benennen. Also „java“ ist tabu.
 
  • Gefällt mir
Reaktionen: Chrische K.

Chrische K.

Mitglied
Thread Starter
Mitglied seit
22.08.2006
Beiträge
133
Hey, es funktioniert!!!!
Super, danke! Es lag an dem Java....jaja, war eigentlich klar...
Aber ich hätte da noch ne Frage: Gibt es irgendwelche Probleme, wenn ich in der Schule mit Version 2005 und Zuhause mit 2007 arbeite (á la Kompatibilität und so)?? Vielleicht gibt es ja hier jemanden, der das Prog besser kennt als ich^^

Dankeschön,
Chrische K.
 
Oben